import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http'
import { Paciente } from 'src/app/models/paciente.model';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class PacienteService {
  private url : string = "https://3000-yasmimtcc-3egb2023tcche-jzxp8591avr.ws-us106.gitpod.io"
  
  constructor(private readonly http: HttpClient) { }

  buscarPaciente( pacienteId: number) : Observable<any>
  {
    return this.http.get<any>(`${this.url}/unid-saude/paciente/${pacienteId}`)
  }
  
  cadastrarPaciente( unidId : number, paciente : Paciente) : Observable<any>
  {
    return this.http.post<any>(`${this.url}/unid-saude/${unidId}/paciente`, paciente)
  }

  atualizarPaciente( pacienteId: number, paciente : Paciente) : Observable<any>
  {
    return this.http.put<any>(`${this.url}/unid-saude/paciente/${pacienteId}`, paciente)
  }
}
